JBoss API: Class ProxyCompiler.Runtime

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy
Class ProxyCompiler.Runtime

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--org.jboss.proxy.ProxyCompiler.Runtime

Enclosing class:
  org.jboss.proxy.ProxyCompiler

public static class ProxyCompiler.Runtime
extends java.lang.ClassLoader

Field Summary
`static java.lang.Object[]` | `NOARGS`

Constructor Summary
`ProxyCompiler.Runtime(java.lang.ClassLoader parent)`

Method Summary
`java.lang.Class[]` | `copyTargetTypes()`
`java.net.URL` | `getResource(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`java.lang.Object` | `invoke(InvocationHandler invocationHandler, int methodNum, java.lang.Object[] values)`
`boolean` | `invokeBoolean(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`byte` | `invokeByte(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`char` | `invokeChar(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`double` | `invokeDouble(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`float` | `invokeFloat(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`int` | `invokeInt(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`long` | `invokeLong(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`short` | `invokeShort(InvocationHandler InvocationHandler, int methodNum, java.lang.Object[] values)`
`java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`
`static java.lang.String` | `toString(Proxies.ProxyTarget target)`
`static java.lang.Boolean` | `wrap(boolean x)`
`static java.lang.Byte` | `wrap(byte x)`
`static java.lang.Character` | `wrap(char x)`
`static java.lang.Double` | `wrap(double x)`
`static java.lang.Float` | `wrap(float x)`
`static java.lang.Integer` | `wrap(int x)`
`static java.lang.Long` | `wrap(long x)`
`static java.lang.Short` | `wrap(short x)`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOARGS

    public static final java.lang.Object[] NOARGS

Constructor Detail

### ProxyCompiler.Runtime

    public ProxyCompiler.Runtime(java.lang.ClassLoader parent)

Method Detail

### toString

    public static java.lang.String toString(Proxies.ProxyTarget target)

### copyTargetTypes

    public java.lang.Class[] copyTargetTypes()

### invoke

    public java.lang.Object invoke(InvocationHandler invocationHandler,
                                   int methodNum,
                                   java.lang.Object[] values)
                            throws java.lang.Throwable

### invokeBoolean

    public boolean invokeBoolean(InvocationHandler InvocationHandler,
                                 int methodNum,
                                 java.lang.Object[] values)
                          throws java.lang.Throwable

### invokeByte

    public byte invokeByte(InvocationHandler InvocationHandler,
                           int methodNum,
                           java.lang.Object[] values)
                    throws java.lang.Throwable

### invokeChar

    public char invokeChar(InvocationHandler InvocationHandler,
                           int methodNum,
                           java.lang.Object[] values)
                    throws java.lang.Throwable

### invokeShort

    public short invokeShort(InvocationHandler InvocationHandler,
                             int methodNum,
                             java.lang.Object[] values)
                      throws java.lang.Throwable

### invokeInt

    public int invokeInt(InvocationHandler InvocationHandler,
                         int methodNum,
                         java.lang.Object[] values)
                  throws java.lang.Throwable

### invokeLong

    public long invokeLong(InvocationHandler InvocationHandler,
                           int methodNum,
                           java.lang.Object[] values)
                    throws java.lang.Throwable

### invokeFloat

    public float invokeFloat(InvocationHandler InvocationHandler,
                             int methodNum,
                             java.lang.Object[] values)
                      throws java.lang.Throwable

### invokeDouble

    public double invokeDouble(InvocationHandler InvocationHandler,
                               int methodNum,
                               java.lang.Object[] values)
                        throws java.lang.Throwable

### wrap

    public static java.lang.Boolean wrap(boolean x)

### wrap

    public static java.lang.Byte wrap(byte x)

### wrap

    public static java.lang.Character wrap(char x)

### wrap

    public static java.lang.Short wrap(short x)

### wrap

    public static java.lang.Integer wrap(int x)

### wrap

    public static java.lang.Long wrap(long x)

### wrap

    public static java.lang.Float wrap(float x)

### wrap

    public static java.lang.Double wrap(double x)

### loadClass

    public java.lang.Class loadClass(java.lang.String name,
                                     boolean resolve)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

  Overrides:
    `getResourceAsStream` in class `java.lang.ClassLoader`

### getResource

    public java.net.URL getResource(java.lang.String name)

  Overrides:
    `getResource` in class `java.lang.ClassLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.